Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004767OCamlCamlp4public2009-04-13 11:372012-09-25 20:06
ReporterChristophe Troestler 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.1+dev 
Summary0004767: Camlp4 prints infinity
DescriptionThis may be linked to 0000320. When camlp4 prints infinite float values, it uses "inf" and "-inf" instead of the OCaml "infinity" and "neg_infinity".

Example in the toplevel:
#directory "+camlp4";;
#load "dynlink.cma";;
#load "camlp4of.cma";;
open Camlp4.PreCast

let printer =
  let module P = Camlp4.Printers.OCaml.Make(Syntax)
  in new P.printer ()

let print_expr e =
  printer#expr Format.std_formatter e

print_expr <:expr@here< $`flo: 1. /. 0. $ >>;;
TagsNo tags attached.
Attached Files

- Relationships
related to 0004345closedxclerc Reduced precision when converting floats to strings 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-04-13 11:37 Christophe Troestler New Issue
2009-04-13 11:37 Christophe Troestler Status new => assigned
2009-04-13 11:37 Christophe Troestler Assigned To => ertai
2011-02-08 15:05 xclerc Assigned To ertai => xclerc
2011-02-08 15:05 xclerc Relationship added related to 0004345
2011-02-08 15:08 xclerc Status assigned => resolved
2011-02-08 15:08 xclerc Fixed in Version => 3.12.1+dev
2011-02-08 15:08 xclerc Resolution open => fixed
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker